<?php
require_once 'sql.php';
session_start();
if(isset($_COOKIE)){
	$hash = sql($_COOKIE['hash']);
	$query = mysql_query("Select * from user_sessions where `hash`='$hash'");
	if (mysql_num_rows($query) == 0) {
		session_destroy();
		// Redireciona o visitante de volta pro login
		header("Location: login.php?dd"); 
		exit;
	}
}else{

	if (!isset($_SESSION['hash'])) {
		session_destroy();
		// Redireciona o visitante de volta pro login
		header("Location: login.php?d"); 
		exit;
	}
	$hash = $_SESSION['hash'];
	$query = mysql_query("Select * from user_sessions where `hash`='$hash'");
	if (mysql_num_rows($query) == 0) {
		session_destroy();
		// Redireciona o visitante de volta pro login
		header("Location: login.php?dd"); 
		exit;
	}

}
$fetch  = mysql_fetch_assoc($query);
$id_user = $fetch['id_user'];

//pega nome do usuário para exibir na index
$buscaDados = mysql_query("SELECT * FROM `user` WHERE `id`='$id_user'");
while($row = mysql_fetch_array($buscaDados)){
$_SESSION['nome'] = $row['nome'];
}

$sql = "SELECT `id`, `nome`, `sobrenome` FROM `".$_SG['tabela']."` WHERE ".$cS." `usuario` = '".$nusuario."' AND ".$cS." `senha` = '".$nsenha."' LIMIT 1";
while($row = mysql_fetch_array($buscaDados)){
$_SESSION['sobrenome'] = $resultado['sobrenome']; } // Pega o valor da coluna 'sobrenome' do registro encontrado no MySQ

// sistema de variaveis necessarias
// verifica qual o plano do usuario

$query_plano = mysql_query("SELECT * FROM `planos` WHERE `id_user`='$id_user'");
if(mysql_num_rows($query_plano) == 1){
// determina o limite do plano do usuario
$fetch_plano = mysql_fetch_assoc($query_plano);
$max_ip_perso = $fetch_plano['ip_perso'];
// conta o dominio pra saber quantos dominios no sistema o usuario tem
$query_total_dominio = mysql_query("SELECT COUNT(id) FROM `domains` WHERE `id_user`='$id_user'");
$fetch_total_dominio = mysql_fetch_assoc($query_total_dominio);
$total_dominio = $fetch_total_dominio['COUNT(id)'];
// conta pra saber quantos tsdns o usuario tem e calcula pra saber quantos ainda restam
$query_total_ip_perso = mysql_query("SELECT COUNT(id) FROM `tsdns` WHERE `id_user`='$id_user'");
$fetch_total_ip_perso = mysql_fetch_assoc($query_total_ip_perso);
$total_ip_perso = $fetch_total_ip_perso['COUNT(id)'];
$total_and_max_perso = $max_ip_perso - $total_ip_perso;
}else{
$max_ip_perso = 1;
$total_and_max_perso =1;
$total_ip_perso = 1;
$total_dominio = 0;
}
$level = $fetch['id_level'];
function level2(){
	global $level;
    if ($level <1) {
	    session_destroy();
	    // Redireciona o visitante de volta pro login
	    header("Location: index.php"); 
	    exit;
    }
}
?>